<?
only_reg();
$ID = (isset($_GET['id']) ? (int) $_GET['id'] : 0);
$ank = user::get_user($ID);

if (!$ank['id'] || $ID == 0){
	header('Location: ?func=list');
	exit;
}

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user_black` WHERE `id_user` = '$user[id]' AND `id_black` = '$ID'"),0) != 0) {
	$_SESSION['message'] = __('Пользователь уже находится в вашем черном списке');
	header('Location: ?func=details&id=' . $ID);
	exit;
}

if (isset($_SESSION['sid']) && isset($_GET['sid']) && $_SESSION['sid'] == $_GET['sid']) {
	$razdel = '';
	
	if (isset($_POST['mail']))
	$razdel .= ';mail';
	if (isset($_POST['foto']))
	$razdel .= ';foto';
	if (isset($_POST['info']))
	$razdel .= ';info';
	
	if (!$razdel){
		$err[] = __('Укажите разделы для блокировки');
	}
	
	$msg = my_esc($_POST['msg']);
	
	$time_block = (int) $_POST['time'];
	
	if (!isset($err)) {
		mysql_query("INSERT INTO `user_black` (`id_user`, `id_black`, `razdel`, `msg`, `time`) values('$user[id]', '$ID', '$razdel', '$msg', '$time_block')"); 
		$_SESSION['message'] = __('Пользователь добавлен в черный список');
		header('Location: ?func=details&id=' . $ID);
		exit;
	}
}

$_SESSION['sid'] = mt_rand(000, 999);
$set['title'] = __('Чёрный список/Добавление/' . $user['nick']);
include_once H . 'sys/inc/thead.php';
title();
aut(); 
err();

?>
<div class="foot"><a href="/user/blacklist/"><?= __('Черный список')?></a> | <b><?= __('Добавление')?></b></div>

<div class="nav2"><?= __('Обитатель')?>: <?= $ank['icon']?> <?= $ank['link']?></div>

<div class="mess">
<?= __('Вы собираетесь добавить пользователя в черный список, после этого он не сможет писать вам личные сообщения и посещать вашу страницу.')?>
</div>

<form method="post" name="message" action="?func=add&amp;id=<?= $ank['id']?>&amp;act=ok&amp;sid=<?= $_SESSION['sid']?>">
<?= __('Ограничить доступ для')?>:<br />
<label><input name="info" value="1" type="checkbox" /> <?= __('Страница')?></label><br />
<label><input name="mail" value="1" type="checkbox" /> <?= __('Почта')?></label><br />
<label><input name="foto" value="1" type="checkbox" /> <?= __('Фотографии')?></label><br />

<?= __('Комментарий')?>:<br />
<textarea name="msg" placeholder="<?= __('Причина блокировки')?>..."><?= (isset($_POST['msg']) ? text($_POST['msg']) : '')?></textarea><br />

<?= __('Время')?>:<br />
<select name="time">
<option value="<?= time() + 60 * 60?>">1 <?= __('час')?></option>
<option value="<?= time() + 60 * 60 * 6?>">6 <?= __('часов')?></option>
<option value="<?= time() + 60 * 60 * 24?>">24 <?= __('часа')?></option>
<option value="<?= time() + 60 * 60 * 120?>">120 <?= __('часов')?></option>
<option value="0" selected="selected"><?= __('Навсегда')?></option>
</select><br />

<input value="<?= __('Добавить')?>" type="submit" /> <a href="/id<?= $ank['id']?>"><img src="/style/icons/delete.gif" /> <?= __('Отмена')?></a> 
</form>

<div class="foot"><a href="/user/blacklist/"><?= __('Черный список')?></a> | <b><?= __('Добавление')?></b></div>